---
include:
  - project: just-ci/templates
    file: pipelines/container.yml
    ref: v6.31.1

.image:build:
  extends: .docker
  retry: 1

variables:
  IMAGE_ARCHITECTURES: linux/arm64,linux/amd64
  IMAGE_CACHE: "false"

workflow:
  rules:
    - when: always

grype:
  rules:
    - when: never

image:build:tags:
  extends: .image:build
  variables:
    DOCKER_EXTRA_ARGS: --build-arg=IMAGE_TAG
  parallel:
    matrix:
      - IMAGE_TAG:
          - "slim"
          - "3.13"
          - "3.13-slim"
          - "3.12"
          - "3.12-slim"
          - "3.11"
          - "3.11-slim"
          - "3.10"
          - "3.10-slim"
          - "3.9"
          - "3.9-slim"
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

image:build:tags:alpine:
  extends: .image:build
  variables:
    DOCKER_EXTRA_ARGS: --build-arg=IMAGE_TAG -f alpine.Dockerfile
  parallel:
    matrix:
      - IMAGE_TAG:
          - "alpine"
          - "3.13-alpine"
          - "3.12-alpine"
          - "3.11-alpine"
          - "3.10-alpine"
          - "3.9-alpine"
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
